listQueries
GET /v5/books/{bookId}/queries
GET
/v5/books/{bookId}/queries
List saved queries
Authorizations
Parameters
Path Parameters
bookId
required
string
The id of the book. Same bookId url param on Bkper
Responses
200
A QueryList response
object
items
List items
Array<object>
object
agentId
The id of agent that created the resource
string
createdAt
The creation timestamp, in milliseconds
string
id
The unique id that identifies the saved Query in the Book
string
query
The Query string to be executed
string
title
The title of the saved Query
string
updatedAt
The last update timestamp, in milliseconds
string
Examples
{ "items": [ { "agentId": "string", "createdAt": "1592000000000", "id": "string", "query": "string", "title": "string", "updatedAt": "1592000000000" } ]}default
An error response from the Bkper API or its public API proxy.
A JSON error response. API operation errors use the nested error object. Public API proxy errors use the Problem Details fields.
object
error
object
errors
Array<object>
object
domain
string
reason
string
message
string
code
required
integer format: int32
message
required
string
type
string
title
string
status
integer format: int32
detail
string
instance
string
code
string